CREATE TABLE hey_data_contract (
    DATA_CONTRACT_ID             NUMBER(18, 0) ,
    DATA_CONTRACT_CODE           VARCHAR2(320)     NOT NULL,
    DATA_CONTRACT_STATUS_CODE    VARCHAR2(120)     NOT NULL,
    SOURCE_OBJECT_CODE           VARCHAR2(120)     NOT NULL,
    SOURCE_OBJECT_ID             NUMBER(18, 0)     NOT NULL,
    SOURCE_OBJECT_STATUS_CODE    NUMBER(18, 0) ,
    DATA_CONTRACT_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    DELETED_FLAG                 VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    DATA_CONTRACT_ID             NUMBER(18, 0) ,
    DATA_CONTRACT_CODE           VARCHAR2(320)     NOT NULL,
    DATA_CONTRACT_STATUS_CODE    VARCHAR2(120)     NOT NULL,
    SOURCE_OBJECT_CODE           VARCHAR2(120)     NOT NULL,
    SOURCE_OBJECT_ID             NUMBER(18, 0)     NOT NULL,
    SOURCE_OBJECT_STATUS_CODE    NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    DATA_CONTRACT_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    DELETED_FLAG                 VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hey_data_contract PRIMARY KEY (DATA_CONTRACT_ID, DATA_CONTRACT_ID)
);
